### Class

# Gimp Curve

#### Description

    final class Gimp.Curve : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### gimp_curve_new

Creates a new `GimpCurve` object, of type `GIMP_CURVE_SMOOTH`, with 0 points initially.

since: 3.2

#### Instance methods

###### gimp_curve_add_point

Add a new point in a `GIMP_CURVE_SMOOTH` `curve`, with coordinates `(x, y)`. Any value outside the `[0.0, 1.0]` range will be silently clamped.

since: 3.2

###### gimp_curve_clear_points

Deletes all points from a `GIMP_CURVE_SMOOTH` `curve`.

since: 3.2

###### gimp_curve_delete_point

Deletes a specific `point` from a `GIMP_CURVE_SMOOTH` `curve`.

since: 3.2

###### gimp_curve_get_curve_type

No description available.

since: 3.2

###### gimp_curve_get_n_points

Gets the number of points in a `GIMP_CURVE_SMOOTH` curve. Note that it will always be 0 for a `GIMP_CURVE_FREE` curve.

since: 3.2

###### gimp_curve_get_n_samples

Gets the number of samples in a `GIMP_CURVE_FREE` curve.

since: 3.2

###### gimp_curve_get_point

Gets the `point` coordinates for a `GIMP_CURVE_SMOOTH` `curve`.

since: 3.2

###### gimp_curve_get_point_type

No description available.

since: 3.2

###### gimp_curve_get_sample

Gets the ordinate `y` value corresponding to the passed `x` abscissa value, in a `GIMP_CURVE_FREE` `curve`.

since: 3.2

###### gimp_curve_is_identity

If this function returns `TRUE`, then the curve maps each value to itself. If it returns `FALSE`, then this assumption can not be made.

since: 3.2

###### gimp_curve_set_curve_type

Sets the curve type of `curve`, as follows:.

since: 3.2

###### gimp_curve_set_n_samples

Sets the number of sample in a `GIMP_CURVE_FREE` `curve`.

since: 3.2

###### gimp_curve_set_point

Sets the `point` coordinates in a `GIMP_CURVE_SMOOTH` `curve`. Any value outside the `[0.0, 1.0]` range will be silently clamped.

since: 3.2

###### gimp_curve_set_point_type

Sets the `point` type in a `GIMP_CURVE_SMOOTH` `curve`.

since: 3.2

###### gimp_curve_set_sample

Sets a sample in a `GIMP_CURVE_FREE` `curve`, with coordinates `(x, y)`.

since: 3.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gimp.Curve:curve-type

The curve type.

since: 3.2

###### Gimp.Curve:n-samples

The number of samples this `GIMP_CURVE_FREE` curve is split into.

since: 3.2

#### Signals

###### Gimp.Curve::points-changed

Emitted when any points are added, deleted, or edited in `curve`.

since: 3.2

###### Gimp.Curve::samples-changed

Emitted when any sample is edited, or if the number of samples changed, in `curve`.

since: 3.2

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpCurveClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.